.. index::
   pair: CSS; Definition

.. _css_def:

=====================================
CSS definition
=====================================

English wikipedia definition
==============================

.. seealso::

   - https://en.wikipedia.org/wiki/Feuilles_de_style_en_cascade

Cascading Style Sheets (CSS) is a style sheet language used for describing the
presentation of a document written in a markup language like HTML.

CSS is a cornerstone technology of the World Wide Web, alongside HTML and
JavaScript.

CSS is designed to enable the separation of presentation and content, including
layout, colors, and fonts.
This separation can improve content accessibility, provide more flexibility
and control in the specification of presentation characteristics, enable
multiple web pages to share formatting by specifying the relevant CSS in a
separate .css file, and reduce complexity and repetition in the structural content.

Separation of formatting and content also makes it feasible to present the
same markup page in different styles for different rendering methods, such
as on-screen, in print, by voice (via speech-based browser or screen reader),
and on Braille-based tactile devices.

CSS also has rules for alternate formatting if the content is accessed on a
mobile device.

The name cascading comes from the specified priority scheme to determine
which style rule applies if more than one rule matches a particular element.

This cascading priority scheme is predictable.

The CSS specifications are maintained by the World Wide Web Consortium (W3C).

Internet media type (MIME type) text/css is registered for use with CSS by
RFC 2318 (March 1998). The W3C operates a free CSS validation service for
CSS documents.

In addition to HTML, other markup languages support the use of CSS including
XHTML, plain XML, SVG, and XUL.

French wikipedia definition
==============================

.. seealso::

   - https://fr.wikipedia.org/wiki/Feuilles_de_style_en_cascade

Les feuilles de style en cascade, généralement appelées CSS de l'anglais
Cascading Style Sheets, forment un langage informatique qui décrit la
présentation des documents HTML et XML.

Les standards définissant CSS sont publiés par le World Wide Web Consortium (W3C).

Introduit au milieu des années 1990, CSS devient couramment utilisé dans la
conception de sites web et bien pris en charge par les navigateurs web dans
les années 2000.
